MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003755ATutor- no cat -public2009-05-27 06:592009-07-21 08:50
Reportergreg 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003755: Retrieve password wrong login name
DescriptionWhen a user uses forgot pass word, they get their first name returned as the login name, rather than the login name iteself. May be related the the desplay name setting.
Additional InformationThe email message: Greg should be greg in line 2

Dear Greg,

Your login name is Greg.

To set a new password, follow the link below.

http://accessibility.atutor.ca/password_reminder.php?id=1&g=14391&h=39f97e212f9e3e5 [^]

(If this link does not take you to the site, copy and paste it into the address bar of your internet browser)

The link will become invalid after 2 days.

----------------------------------------------
Sent via an ATutor system at http://accessibility.atutor.ca/ [^]
ATutor home: http://atutor.ca [^]
TagsNo tags attached.
Affects version1.6.2
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003554)
harris (developer)
2009-06-01 10:31

This could be a theme problem on password_reminder on the accessibility site.

Find the line with password_request2 in it.

ie. $tmp_message = _AT(array('password_request2',$reply_name, $row['login'], AT_PASSWORD_REMINDER_EXPIRY, $change_link));

the third parameter in the array should be $row['login']
(0003562)
harris (developer)
2009-06-02 07:55

only affects accessibility.atutor.ca

The SVN seems fine.

- Issue History
Date Modified Username Field Change
2009-05-27 06:59 greg New Issue
2009-05-27 06:59 greg Affects version => 1.6.2
2009-06-01 10:31 harris Note Added: 0003554
2009-06-02 07:55 harris Status new => resolved
2009-06-02 07:55 harris Resolution open => no change required
2009-06-02 07:55 harris Assigned To => harris
2009-06-02 07:55 harris Note Added: 0003562
2009-06-12 09:32 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version => 1.6.3
2009-06-12 09:33 greg Resolution no change required => fixed
2009-07-21 08:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker